Ocena wątku:
  • 0 Głosów - 0 Średnio
  • 1
  • 2
  • 3
  • 4
  • 5
Wtyczki w 3.4
14-02-2019, 14:35,
#1
Wtyczki w 3.4
Hej,
zainstalowałam 3.4 na Mac 10.11.
Wtyczki w 2.18 działały bez zarzutu, za to w 3.14 mam komunikat:

"Nie można wczytać wtyczki (np.: 'timemanager') z powodu błędu wywołania jej metody classFactory()
ModuleNotFoundError: No module named 'future'
itd........ "

ale już wytczka np: mmqgis tego komunikatu na daje.

W czym tkwi problem?
14-02-2019, 20:07,
#2
RE: Wtyczki w 3.4
Najłatwiej szukać pomocy u autorki wtyczki:
https://github.com/anitagraser/TimeManager/issues/252

Nie masz zainstalowanego modułu future w pythonie3, dlatego wtyczka nie może go zaimportować i się wywala.
Pewnie pod Mac nie było go w paczkach dołączonych do instalki. Musisz to sobie ręcznie doinstalować.
Na makach się nie znam, w powyższym temacie piszą, że robi się to tak:
Kod:
pip3 install future
Czyli zwykła instalacja paczek za pomocą pip, podobnie jak na innych platformach Wink
19-02-2019, 09:39,
#3
RE: Wtyczki w 3.4
to było faktycznie to:
Terminal
pip3 install future

i po kłopocie.

Dziękuję


Podobne wątki
Wątek: Autor Odpowiedzi: Wyświetleń: Ostatni post
  Wtyczki: Easy AHP, Geospatial Simulation beata90 1 8 898 03-07-2015, 14:12
Ostatni post: koberek
  Błąd wtyczki MetaSearch (błąd pythona) norek_norek 0 6 367 02-01-2015, 10:28
Ostatni post: norek_norek
  ustawienia wtyczki "optymalna droga" w QGIS 2.2 sologpio 2 9 599 21-07-2014, 14:17
Ostatni post: sologpio
  Dostępność wtyczki Open Layers w repozytoriach? nieznany 4 14 731 18-02-2014, 15:42
Ostatni post: martinbb
  instalacja wtyczki andy 7 31 993 09-03-2012, 01:54
Ostatni post: arepo

Skocz do: